DROP TABLE IF EXISTS modoer_carddiscounts;
CREATE TABLE modoer_carddiscounts (
  shopid mediumint(8) unsigned NOT NULL auto_increment,
  cardsort enum('both','largess','discount') NOT NULL default 'discount',
  discount decimal(4,1) NOT NULL default '0.0',
  largess varchar(100) NOT NULL default '',
  exception varchar(255) NOT NULL default '',
  addtime int(10) unsigned NOT NULL default '0',
  available tinyint(1) NOT NULL default '1',
  finer tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (shopid),
  KEY shopid (available,cardsort,discount,addtime),
  KEY discount (discount,available),
  KEY finer (finer,available)
) TYPE=MyISAM;
